Zum Hauptinhalt springen

List Articles

GET/v2/articles/
API version
v2
Request method
GET
Operation ID
article-list-articles

Request

Responses

Response-Header

  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Beschreibung

Object containing the list of Articles

  • Array[
    • *object
      • addonsarray of object
        • Array[
          • *object
            • hiddenboolean

              Defines if the Addon should not be shown.

            • keystring (≥ 1 characters)
              required

              Unique key of the Addon.

            • typestring

              The type/category of the addon.

            • valuestring
              required

              Value of the Addon, e.g. configuration details, status, or modifier properties.

            • valueMergeTypestring (one of: add, set)

              Used if Articles are ordered as a batch.

          ]
      • articleIdstring (≥ 3 characters)
        required
      • attributesarray of object
        • Array[
          • *object
            • customerEditableboolean

              Used if there are custom configurations needed for an Order like a Server name.

            • keystring (≥ 1 characters)
              required
            • mergeTypestring (one of: add, set)

              Used if Articles are ordered as a batch.

            • readonlyboolean

              Used if not need for an Order.

            • requiredboolean
            • unitstring

              Used if Articles are ordered as a batch.

            • valuestring

              Will be ignored if customerEditable is set.

          ]
      • balanceAddonKeystring
        deprecated
      • contractDurationInMonthnumber (≥ 0)
        required
      • descriptionstring
      • forcedInvoicingPeriodInMonthnumber (≥ 0)

        If set, the Article will always be invoiced for the given months.

      • hasIndependentContractPeriodboolean

        Article has a contract period which is not dependent on the Contract Base Item.

      • hideOnInvoiceboolean

        Free Article that is not showing on Invoices.

      • machineTypeobject

        Resources for hosting Articles.

        • cpustring
          required
        • memorystring
          required

          Memory in GiB

        • namestring
          required
      • modifierArticlesarray of object
        • Array[
          • *object
            • articleIdstring (≥ 1 characters)
              required
            • infoobject
              • articleNamestring
              • articleTemplateNamestring
              • fromArticleTemplateboolean
            • maxArticleCountnumber (≥ 1)
              required
          ]
      • namestring (≥ 3 characters)
        required
      • orderablestring (one of: full, forbidden, internal, beta_testing, deprecated)
        required

        Only Articles with the value 'full' can be ordered by everyone. Forbidden Articles are not allowed to be ordered. Internal Articles have to be ordered by a mittwald employee. Beta testing Articles can be ordered but maybe feature incomplete. Deprecated Articles are not orderable anymore.

      • possibleArticleChangesarray of object
        • Array[
          • *object
            • articleIdstring (≥ 1 characters)
              required
            • infoobject
              • articleNamestring
              • articleTemplateNamestring
              • fromArticleTemplateboolean
          ]
      • pricenumber

        Monthly price in Eurocent

      • tagsarray of object
        • Array[
          • *object
            • descriptionstring (≥ 1 characters)
            • hexColorstring (≥ 1 characters)
            • idstring (≥ 1 characters)
              required
            • namestring (≥ 1 characters)
          ]
      • templateobject
        required
        • additionalArticlesarray of object
          • Array[
            • *object
              • articleIdstring (≥ 1 characters)
                required
              • infoobject
                • articleNamestring
                • articleTemplateNamestring
                • fromArticleTemplateboolean
              • maxArticleCountnumber
            ]
        • addonsarray of object
          • Array[
            • *object
              • hiddenboolean

                Defines if the Addon should not be shown.

              • keystring (≥ 1 characters)
                required

                Unique key of the Addon.

              • typestring

                The type/category of the addon.

              • valuestring
                required

                Value of the Addon, e.g. configuration details, status, or modifier properties.

              • valueMergeTypestring (one of: add, set)

                Used if Articles are ordered as a batch.

            ]
        • attributesarray of object
          • Array[
            • *object
              • customerEditableboolean

                Used if there are custom configurations needed for an Order like a Server name.

              • keystring (≥ 1 characters)
                required
              • mergeTypestring (one of: add, set)

                Used if Articles are ordered as a batch.

              • readonlyboolean

                Used if not need for an Order.

              • requiredboolean
              • unitstring

                Used if Articles are ordered as a batch.

              • valuestring

                Will be ignored if customerEditable is set.

            ]
        • descriptionstring
        • idstring (≥ 1 characters)
          required
        • isManagedByDomainboolean
          required
        • isRecurringboolean
          required
        • modifierArticlesarray of object
          • Array[
            • *object
              • articleIdstring (≥ 1 characters)
                required
              • infoobject
                • articleNamestring
                • articleTemplateNamestring
                • fromArticleTemplateboolean
              • maxArticleCountnumber (≥ 1)
                required
            ]
        • namestring (≥ 3 characters)
          required
        • typestring (one of: miscellaneous, base, additional, modifier, setup_fee)
          required
    ]

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/articles?customerId=string&tags=string&templateNames=string&articleIds=string&orderable=forbidden&name=string&limit=50&page=1